Bug 1126106 - UX: ultra fast app creation coolness
Summary: UX: ultra fast app creation coolness
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Unknown
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan McPherson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 22:02 UTC by Aleksandar Kostadinov
Modified: 2015-05-15 02:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-03 14:59:31 UTC


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2014-08-01 22:02:36 UTC
[RFE] It would add in my opinion a lot to openshift coolness if we launch new apps with little to no delay. It will be very nice user experience as well extremely cool for demos.

I imagine that we can select the most used carts and have spawned apps from them before users request such. Once a request is made, then the app is simply handed to the user already in running state.
Not sure how that could work with add-on cartridges cartridges.

Maybe for openshift 3.0?

Comment 1 Dan McPherson 2014-08-03 14:59:31 UTC
Hi Aleksandar,

  While this is a nice goal, the design has been considered and isn't really feasible.  Our focus is more on providing general performance improvements that help more scenarios.


Note You need to log in before you can comment on or make changes to this bug.